Skip to main content
`Ctrl`+`K`

# PetscGetVersion

Gets the PETSc version information in a string.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscGetVersion(char version[], size_t len)

Not Collective; No Fortran Support

## Input Parameter

- len - length of the string

## Output Parameter

- version - version string

## Note

For doing runtime checking of supported versions we recommend using `PetscGetVersionNumber()` instead of this routine.

## See Also

`PetscGetProgramName()`, `PetscGetVersionNumber()`

## Level

developer

## Location

src/sys/objects/version.c

## Examples

src/sys/tutorials/ex17.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages